Module tdlight.api
Package it.tdlight.jni

# Class TdApi.SetInlineGameScore

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.SetInlineGameScore

Enclosing class:
  TdApi

public static final class TdApi.SetInlineGameScore extends TdApi.Function<TdApi.Ok>
Updates the game score of the specified user in a game; for bots only.

Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`boolean`
`editMessage`
True, if the message needs to be edited.
`boolean`
`force`
Pass true to update the score even if it decreases.
`String`
`inlineMessageId`
Inline message identifier.
`int`
`score`
The new score.
`long`
`userId`
User identifier.

## Constructor Summary

Constructors
Constructor
Description
`SetInlineGameScore()`
Updates the game score of the specified user in a game; for bots only.
`SetInlineGameScore(DataInput input)`
Updates the game score of the specified user in a game; for bots only.
`SetInlineGameScore(String inlineMessageId, boolean editMessage, long userId, int score, boolean force)`
Updates the game score of the specified user in a game; for bots only.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### inlineMessageId

public String inlineMessageId
Inline message identifier.

### editMessage

public boolean editMessage
True, if the message needs to be edited.

### userId

public long userId
User identifier.

### score

public int score
The new score.

### force

public boolean force
Pass true to update the score even if it decreases. If the score is 0, the user will be deleted from the high score table.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### SetInlineGameScore

public SetInlineGameScore()
Updates the game score of the specified user in a game; for bots only.

Returns `Ok`

### SetInlineGameScore

public SetInlineGameScore(String inlineMessageId, boolean editMessage, long userId, int score, boolean force)
Updates the game score of the specified user in a game; for bots only.

Returns `Ok`

Parameters:
  `inlineMessageId` - String Inline message identifier.
  `editMessage` - boolean True, if the message needs to be edited.
  `userId` - long User identifier.
  `score` - int The new score.
  `force` - boolean Pass true to update the score even if it decreases. If the score is 0, the user will be deleted from the high score table.

### SetInlineGameScore

public SetInlineGameScore(DataInput input) throws IOException
Updates the game score of the specified user in a game; for bots only.

Returns `Ok`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`